Ask coding questions

← Back to all posts
Package Operation Failed
LeeJones1

I am getting the same error message on all my pygame repl.it's. Here is my simplest one that was working. Any idea what is causing this? A screenshot of the message I am seeing is below.

Voters
HemanthSrinivas
valterzed07
srushti2002
ErickSilva9
ClmentBertin
german1122
GerardNahimana
ViekMishra
Sclutter
jdakounet01
Comments
hotnewtop
Grify
wjustin

It works now @LeeJones1. I too have the same problem with the package operation failure, do you know how to fix it, or does it take a while for it to work?

jagruti123

Did anyone get a solution? I get the same error.

Sreshthangsu

Me too same problem :(

AloegelhiPlaysR

@Sreshthangsu Same! My discord bot and pygame repl's have been down for 2 days! it's crazy

TrainerAsh

@AloegelhiPlaysR same! i dont know how to fix it

Sreshthangsu

@TrainerAsh I'm thinking of reporting this problem to the repl.it support team

LoganGG
LoganGG

mine says "Python 2.7.16 (default, Jul 13 2019, 16:01:51)
[GCC 8.3.0] on linux2
Traceback (most recent call last):
File "/tmp/upm100578672/bare-imports.py", line 14, in <module>
".", extra_ignore_dirs=sys.argv[1].split()
File "/tmp/upm100578672/pipreqs.py", line 98, in get_all_imports
missing_modules = imports.keys() - (set(candidates) & imports.keys())
TypeError: unsupported operand type(s) for &: 'set' and 'list'
exit status 1

Repl.it: Package operation failed."

LoganGG
AnasAAlam

I am getting this error while installing flask packge....
please help, it's urgent...

matthewgianyar

Not yet for me

ViekMishra

@matthewgianyar bro my is showing opertion failed when i install a python package any solution

Sreshthangsu

its working

BloxxyVidsYT

It hasn't worked for me. Not at all